# wikieds

wikieds is a  command line script to summarize the editors for a given 
Wikipedia article.  Results are output in Markdown.  If you have ideas for 
improving this script please submit an issue ticket. You'll see it can take 
some time to run, depending on the number editors, and their number of 
edits on Wikipedia.

Install with

    % pip install wikieds

Then run it like this:

    % wikieds.py "Ta-Nehisi Coates"

Here's what the rendered Markdown will look like:

### Wikipedia Editor Statistics for Ta-Nehisi Coates

The Wikipedia article Ta-Nehisi Coates was created by Cataphora at
2008-10-22T01:18:18Z and has been edited 272 times by 129 users.

| User                      | Edits      | Articles   |
| ------------------------- | ----------:| ----------:|
|             Useitorloseit |         20 |         12 |
|           TheRedPenOfDoom |         15 |      +1000 |
|             24.151.10.165 |         11 |        181 |
|       NorthBySouthBaranof |         10 |      +1000 |
|                 Abecedare |          9 |      +1000 |
|              68.196.65.50 |          7 |          1 |
|                  Gamaliel |          6 |      +1000 |
|                  Jo3sampl |          5 |        634 |
|              108.46.7.120 |          5 |          1 |
|                    KCinDC |          5 |      +1000 |
|           Mictlantecuhtle |          5 |         14 |
|            75.134.185.136 |          4 |          2 |
|         Neptune's Trident |          4 |      +1000 |
|                  SmackBot |          4 |      +1000 |
|                    C.Fred |          4 |      +1000 |
|            NuclearWarfare |          4 |      +1000 |
|              Sonicyouth86 |          3 |      +1000 |
|               Kwamikagami |          3 |      +1000 |
|                   Dominic |          3 |      +1000 |
|                  PJarorbi |          3 |          1 |
|                     Koavf |          3 |      +1000 |
|              76.24.96.181 |          3 |          2 |
|               Malerooster |          3 |      +1000 |
|                Emufarmers |          3 |        733 |
|                Davesvette |          3 |         50 |
|      Alf.laylah.wa.laylah |          3 |      +1000 |
|             FreeRangeFrog |          3 |      +1000 |
|          Cardsplayer4life |          2 |      +1000 |
|           165.124.210.128 |          2 |          3 |
|               67.180.74.6 |          2 |          1 |
|             24.239.173.19 |          2 |         26 |
|                  Konetidy |          2 |         97 |
|                CorporateM |          2 |      +1000 |
|    Illegitimate Barrister |          2 |      +1000 |
|                   Cydebot |          2 |      +1000 |
|                ClueBot NG |          2 |      +1000 |
|         Shawn in Montreal |          2 |      +1000 |
|              Wikimench100 |          2 |         48 |
|                   Kohelet |          2 |        295 |
|                 Cataphora |          2 |          7 |
|             108.52.57.150 |          2 |         15 |
|              71.240.67.58 |          2 |         36 |
|             67.164.40.104 |          2 |          2 |
|             Michaeltunney |          2 |         10 |
|          Fountain Posters |          2 |        275 |
|                   DumbBOT |          2 |      +1000 |
|        Lowercase sigmabot |          1 |      +1000 |
|               158.103.0.1 |          1 |        372 |
|              Steve Dufour |          1 |      +1000 |
|                 Np.downey |          1 |         21 |
|              208.46.240.4 |          1 |        157 |
|                069952497a |          1 |      +1000 |
|             71.191.244.33 |          1 |        137 |
|                Alan Meyer |          1 |         14 |
|             208.54.80.137 |          1 |          9 |
|                  Gongshow |          1 |      +1000 |
|            98.227.180.225 |          1 |          2 |
|            98.206.143.173 |          1 |         18 |
|             67.180.60.129 |          1 |          2 |
|                   BG19bot |          1 |      +1000 |
|              0karteeshin0 |          1 |          1 |
|           John of Reading |          1 |      +1000 |
|                  Goethean |          1 |      +1000 |
|                    Wasp21 |          1 |         39 |
|             Malik Shabazz |          1 |      +1000 |
|         Helpful Pixie Bot |          1 |      +1000 |
|                Deflective |          1 |      +1000 |
|               174.29.7.92 |          1 |          2 |
|            Chris troutman |          1 |      +1000 |
|                     Yobot |          1 |      +1000 |
|            Anna Frodesiak |          1 |      +1000 |
|                 Shortride |          1 |      +1000 |
|          NathanielTheBold |          1 |      +1000 |
|             72.229.28.119 |          1 |          3 |
|             199.67.140.45 |          1 |        276 |
|              214.27.58.37 |          1 |         71 |
|             75.236.226.30 |          1 |          2 |
|           Thargor Orlando |          1 |      +1000 |
|                 DoorsAjar |          1 |      +1000 |
|               Woohookitty |          1 |      +1000 |
|               Aboutmovies |          1 |      +1000 |
|                  Maurreen |          1 |      +1000 |
|               50.74.158.2 |          1 |         16 |
|              68.62.58.219 |          1 |        139 |
|              71.52.44.178 |          1 |          7 |
|                     NeilN |          1 |      +1000 |
|              12.202.74.87 |          1 |         92 |
|            173.30.221.137 |          1 |          1 |
|               Thumperward |          1 |      +1000 |
|             24.130.123.19 |          1 |          3 |
|               Languagehat |          1 |      +1000 |
|               ShelfSkewed |          1 |      +1000 |
|            202.188.23.216 |          1 |          1 |
|                   Khazar2 |          1 |      +1000 |
|          Proxima Centauri |          1 |      +1000 |
|               Johndburger |          1 |      +1000 |
|            88.104.208.205 |          1 |         57 |
|           192.200.227.239 |          1 |          1 |
|               24.17.74.82 |          1 |          1 |
|                Tourchiest |          1 |         41 |
|               74.69.35.54 |          1 |         51 |
|                     Tony1 |          1 |      +1000 |
|            50.141.210.148 |          1 |          9 |
|           David Shankbone |          1 |      +1000 |
|             24.90.211.128 |          1 |          2 |
|                   VIAFbot |          1 |      +1000 |
|                  Jweiss11 |          1 |      +1000 |
|                 KasparBot |          1 |      +1000 |
|               RjwilmsiBot |          1 |      +1000 |
|               Ricelegends |          1 |          5 |
|               Karin Anker |          1 |        303 |
|            208.87.234.202 |          1 |         89 |
|                 Jillzilla |          1 |         62 |
|                  Jprg1966 |          1 |      +1000 |
|                   Cwobeel |          1 |      +1000 |
|                      J04n |          1 |      +1000 |
|               70.63.91.46 |          1 |         22 |
|                  Juro2351 |          1 |      +1000 |
|             73.149.246.99 |          1 |          2 |
|               24.6.94.238 |          1 |         17 |
|                   Flyer22 |          1 |      +1000 |
|                 Elaqueate |          1 |      +1000 |
|                Sunwin1960 |          1 |        886 |
|             70.119.205.12 |          1 |         24 |
|                   SW3 5DL |          1 |        835 |
|              Lilorangecup |          1 |         28 |
|                   Tbhotch |          1 |      +1000 |


